#
# spec file for package simple-xml
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define third_party_jars bea-stax-api xpp3

Name:           simple-xml
Summary:        XML serialization framework for Java
Version:        2.6.2
Release:        0.12.42
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://simple.sourceforge.net
Source0:        %{name}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ant
%if 0%{?suse_version}
BuildRequires:  bea-stax
%else
BuildRequires:  bea-stax-api
%endif
BuildRequires:  java-devel
BuildRequires:  jpackage-utils >= 1.6
BuildRequires:  xpp3
BuildRequires:  unzip
BuildArch:      noarch
Provides:       java(org.simpleframework:simple-xml) == 2.6.2

%description
Simple is a high performance XML serialization and configuration
framework for Java. Its goal is to provide an XML framework that
enables rapid development of XML configuration and communication
systems.



%package        javadoc
License:        Apache-2.0
Summary:        XML serialization framework for Java
Group:          Development/Libraries/Java

%description    javadoc
Simple is a high performance XML serialization and configuration
framework for Java. Its goal is to provide an XML framework that
enables rapid development of XML configuration and communication
systems.



%prep
%setup
rm lib/*.jar
build-jar-repository -p lib/ %third_party_jars

%build
ant -Dant.build.javac.source=1.7 -Dant.build.javac.target=1.7

%install
#jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 jar/simple-xml-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Mon Dec 14 2020 Stefan Bluhm <stefan.bluhm@clacee.eu>
- Updated for RHEL build.
* Tue Oct 31 2017 jgonzalez@suse.com
- Fix build with java9
* Tue Apr  3 2012 ro@suse.de
- add unzip to BuildRequires
* Mon Mar  5 2012 jrenner@suse.de
- Copy the package here from build.opensuse.org (Java:base)
* Mon Jan 30 2012 jrenner@suse.de
- Set javac source and target to 1.5 for SLE_11 compatibility
* Tue Jan 24 2012 jrenner@suse.de
- Initial packaging
